Building a webhook integration? Read the webhook guide for signatures, retries, event schemas, and troubleshooting.
apiDeterministic

Update prospect tags

PATCH /api/prospects/{prospectId}/tags

Add/remove custom tags. Preserves unrelated and stage tags. Does not change stage.

Parameters

workspaceId
string
No description.
prospectIdrequired
string
No description.
addrequired
string[]
No description.
removerequired
string[]
No description.
idempotencyKeyrequired
string
No description.

Example

REST requestbash
curl -X PATCH "https://app.pipeline.help/api/prospects/00000000-0000-4000-8000-000000000000/tags" \
-H "Authorization: Bearer $PIPELINE_API_KEY" \
-H "Content-Type: application/json" \
-d '{"add":["example"],"remove":["example"],"idempotencyKey":"example"}'

Response

Success response schemajson schema
{
"type": "object",
"properties": {
"tags": {
"type": "array",
"items": {
"type": "string"
}
},
"activityId": {
"type": "string"
}
},
"required": [
"tags",
"activityId"
]
}

HTTP errors

401
Missing or invalid API key.
403
Authenticated but not permitted for the workspace or resource.
404
The requested resource was not found.
Pipeline REST API reference | Pipeline